# Copyright (C) 1997-1998 Four J's Development Tools

DATABASE pb

GLOBALS "globals.4gl"

FUNCTION newCompany ()

  DEFINE r_company RECORD LIKE company.*

  OPEN WINDOW frmCompanyWindow AT 5, 5                                      
    WITH 20 ROWS, 60 COLUMNS
    ATTRIBUTES (BORDER)
                                                                                
  OPEN FORM frmCompany FROM "fcompany"                                
  DISPLAY FORM frmCompany

  INITIALIZE r_company.* TO NULL
  LET INT_FLAG = FALSE
  LET r_company.com_id = 0
  INPUT 
    r_company.com_name, 
    r_company.com_address_1,
    r_company.com_address_2,
    r_company.com_address_3,
    r_company.com_zip,
    r_company.com_city,
    r_company.com_state,
    r_company.com_country,
    r_company.com_tel,
    r_company.com_fax,
    r_company.com_email,
    r_company.com_web
  WITHOUT DEFAULTS
  FROM
    com_name, 
    com_address_1,
    com_address_2,
    com_address_3,
    com_zip,
    com_city,
    com_state,
    com_country,
    com_tel,
    com_fax,
    com_email,
    com_web

  IF INT_FLAG = FALSE THEN
    INSERT INTO company VALUES (r_company.*)
  END IF
  
  CLOSE WINDOW frmCompanyWindow

END FUNCTION

FUNCTION newContact (com_id)

  DEFINE com_id INTEGER

  DEFINE r_contact RECORD LIKE contact.*

  OPEN WINDOW frmContactWindow AT 10, 10                                      
    WITH 20 ROWS, 60 COLUMNS
    ATTRIBUTES (BORDER)
                                                                                
  OPEN FORM frmContact FROM "fcontact"                                
  DISPLAY FORM frmContact

  INITIALIZE r_contact.* TO NULL
  IF com_id<>0 THEN
    LET r_contact.ctc_com_id = com_id
  END IF
  LET INT_FLAG = FALSE
  LET r_contact.ctc_id = 0
  INPUT 
    r_contact.ctc_com_id, 
    r_contact.ctc_title, 
    r_contact.ctc_first, 
    r_contact.ctc_middle, 
    r_contact.ctc_last, 
    r_contact.ctc_suffix, 
    r_contact.ctc_job, 
    r_contact.ctc_dept, 
    r_contact.ctc_tel, 
    r_contact.ctc_fax, 
    r_contact.ctc_email
  WITHOUT DEFAULTS
  FROM
    ctc_com_id, 
    ctc_title, 
    ctc_first, 
    ctc_middle, 
    ctc_last, 
    ctc_suffix, 
    ctc_job, 
    ctc_dept, 
    ctc_tel, 
    ctc_fax, 
    ctc_email

  IF INT_FLAG = FALSE THEN
    INSERT INTO contact VALUES (r_contact.*)
  END IF
  
  CLOSE WINDOW frmContactWindow

END FUNCTION

